Index: build/snova/trunk/obuild/DOS/build_app_prog_snova.bat
===================================================================
--- build/snova/trunk/obuild/DOS/build_app_prog_snova.bat	(revision 241)
+++ build/snova/trunk/obuild/DOS/build_app_prog_snova.bat	(revision 275)
@@ -74,5 +74,5 @@
 
 IF "%OBUILD_DIR_BIN%" == "" (
-  SET obuild_dir_bin=%obuild_platform%_obuild
+  SET obuild_dir_bin=bin_obuild
 ) ELSE (
   SET obuild_dir_bin=%OBUILD_DIR_BIN%
@@ -95,199 +95,59 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_0
+SET obuild_cxx_command=cl.exe
+:end_if_platform_0
+SET obuild_platform_result=
+IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
-SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
+SET obuild_cxx_optimize=/O2
 :end_if_platform_1
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_2
+SET obuild_cxx_debug=/ZI /Od
+:end_if_platform_2
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
 cd "%obuild_pwd_snova_0%"
 SET obuild_pwd_snova_0=
 IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
-SET Geant4_home=/usr/local/geant4/8.2
+SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
 :end_if_platform_3
 SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
-SET HDF5_home=/usr/local/HDF5/1.6.5
-:end_if_platform_5
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
-SET zlib_home=/usr
-:end_if_platform_7
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_8
-SET obuild_cxx_command=c++
-:end_if_platform_8
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
-SET obuild_cxx_command=c++
-:end_if_platform_9
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
-SET obuild_cxx_command=cxx
-:end_if_platform_10
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
-SET obuild_cxx_command=cl.exe
-:end_if_platform_11
-SET obuild_platform_result=
-IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
-SET obuild_cxx_optimize=-O
-:end_if_platform_12
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
-SET obuild_cxx_optimize=-O
-:end_if_platform_13
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
-SET obuild_cxx_optimize=-O
-:end_if_platform_14
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
-SET obuild_cxx_optimize=/O2
-:end_if_platform_15
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
-SET obuild_cxx_debug=-g
-:end_if_platform_16
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
-SET obuild_cxx_debug=-g
-:end_if_platform_17
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
-SET obuild_cxx_debug=-g
-:end_if_platform_18
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
-SET obuild_cxx_debug=/ZI /Od
-:end_if_platform_19
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
-SET obuild_cxx_options=-fPIC
-:end_if_platform_20
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
-SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
-:end_if_platform_21
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_prog_snova_sh_22
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_prog_snova_sh_4
   SET obuild_cxx_debug_local=%obuild_cxx_debug%
-  GOTO end_if_db_build_app_prog_snova_sh_22
-:else_if_db_build_app_prog_snova_sh_22
+  GOTO end_if_db_build_app_prog_snova_sh_4
+:else_if_db_build_app_prog_snova_sh_4
   SET obuild_cxx_debug_local=
-:end_if_db_build_app_prog_snova_sh_22
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_prog_snova_sh_23
+:end_if_db_build_app_prog_snova_sh_4
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_prog_snova_sh_5
   SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
-  GOTO end_if_opt_build_app_prog_snova_sh_23
-:else_if_opt_build_app_prog_snova_sh_23
+  GOTO end_if_opt_build_app_prog_snova_sh_5
+:else_if_opt_build_app_prog_snova_sh_5
   SET obuild_cxx_optimize_local=
-:end_if_opt_build_app_prog_snova_sh_23
+:end_if_opt_build_app_prog_snova_sh_5
 
 
@@ -317,34 +177,4 @@
 SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_snova_path%\source\SNvertex\include"
 SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_bhep_path%"
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
-SET obuild_cxx_includes=%obuild_cxx_includes% -I${CLHEP_home}/include
-:end_if_platform_29
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
-SET obuild_cxx_includes=%obuild_cxx_includes% -I${Geant4_home}/include
-:end_if_platform_30
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
-SET obuild_cxx_includes=%obuild_cxx_includes% -I${HDF5_home}/include
-:end_if_platform_31
-SET obuild_platform_result=
 
 IF EXIST "%obuild_snova_path%\%obuild_dir_bin%\app_prog_snova" RMDIR /S /Q "%obuild_snova_path%\%obuild_dir_bin%\app_prog_snova"
@@ -363,40 +193,10 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
-SET obuild_cxx_linker_command=c++
-:end_if_platform_33
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
-SET obuild_cxx_linker_command=c++
-:end_if_platform_34
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
-SET obuild_cxx_linker_command=cxx
-:end_if_platform_35
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_12
 SET obuild_cxx_linker_command=link.exe
-:end_if_platform_36
+:end_if_platform_12
 SET obuild_platform_result=
 IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return
@@ -405,66 +205,36 @@
 cd "%obuild_snova_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_37
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_38
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_38
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
-SET obuild_cxx_linker_debug=-g
-:end_if_platform_39
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_40
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
 SET obuild_cxx_linker_debug=/DEBUG
-:end_if_platform_40
-SET obuild_platform_result=
-
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
+:end_if_platform_13
+SET obuild_platform_result=
+
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
+cd "%obuild_snova_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_snova_0%"
+SET obuild_pwd_snova_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
 SET obuild_cxx_linker_options=/nologo
-:end_if_platform_41
-SET obuild_platform_result=
-
-IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_prog_snova_sh_42
+:end_if_platform_14
+SET obuild_platform_result=
+
+IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_prog_snova_sh_15
   SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
-  GOTO end_if_db_build_app_prog_snova_sh_42
-:else_if_db_build_app_prog_snova_sh_42
+  GOTO end_if_db_build_app_prog_snova_sh_15
+:else_if_db_build_app_prog_snova_sh_15
   SET obuild_cxx_linker_debug_local=
-:end_if_db_build_app_prog_snova_sh_42
-
-IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_prog_snova_sh_43
+:end_if_db_build_app_prog_snova_sh_15
+
+IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_prog_snova_sh_16
   SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
-  GOTO end_if_opt_build_app_prog_snova_sh_43
-:else_if_opt_build_app_prog_snova_sh_43
+  GOTO end_if_opt_build_app_prog_snova_sh_16
+:else_if_opt_build_app_prog_snova_sh_16
   SET obuild_cxx_linker_optimize_local=
-:end_if_opt_build_app_prog_snova_sh_43
+:end_if_opt_build_app_prog_snova_sh_16
 
 SET obuild_linked_libraries="%obuild_snova_path%\%obuild_dir_bin%\snova_ui.lib"
@@ -474,48 +244,8 @@
 SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_snova_path%\%obuild_dir_bin%\geomutils.lib"
 SET obuild_linked_libraries=%obuild_linked_libraries% "%obuild_bhep_path%\%obuild_dir_bin%\bhep.lib"
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_50
-SET obuild_linked_libraries=%obuild_linked_libraries% -L${HDF5_home}/lib -lhdf5.0.0.0
-:end_if_platform_50
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
-SET obuild_linked_libraries=%obuild_linked_libraries% -L${zlib_home}/lib -lz
-:end_if_platform_51
-SET obuild_platform_result=
 SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4interfaces
 SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4vis_management
 SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4modeling
 SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4Tree
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_56
-SET obuild_linked_libraries=%obuild_linked_libraries% -L${Geant4_home}/lib -lG4readout -lG4run -lG4event -lG4tracking -lG4processes -lG4digits_hits -lG4track -lG4particles -lG4geometry -lG4graphics_reps -lG4materials -lG4intercoms -lG4global
-:end_if_platform_56
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d
-cd "%obuild_snova_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snova_0%"
-SET obuild_pwd_snova_0=
-IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
-SET obuild_linked_libraries=%obuild_linked_libraries% -L${CLHEP_home}/lib -lCLHEP-2.0.3.1
-:end_if_platform_57
-SET obuild_platform_result=
 
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snova_0=%%d